#include <iostream>
#include<math.h>
using namespace std;

int main()
{
    long long n,x,k,s=0,t,r;
    cin>>n;
   long long a[n];
   cin>>k;
   a[0]=k;
   for(long long  i=1;i<=n;i++){
       cin>>a[i];
   }
   for(long long  i=0;i<=n-1;i++){
       for(long long j=i+1;j<=n;j++){
           if(a[i]>a[j]){
          x=a[i];
          a[i]=a[j];
          a[j]=x;
       }
      
           
       }
   }
  
   t=abs(a[0]-k);
   r=abs(a[n]-k);
   if(t<r){
       s=s+(2*t)+r;
      cout<<s; 
   }
   if(t>r){
       s=s+(2*r)+t;
      cout<<s; 
   }
   
}